import request from "@/utils/request";

// 查看实验室安排列表
export function getTeacherlabList(query) {
  return request({
    url: "/schoolLabClassYear/getTeacherLabList",
    method: "get",
    params: query,
  });
}
//获取当前学年+学期
export function getSemester() {
  return request({
    url: "/experimentPlan/getSemester",
    method: "get",
  });
}

//新增年级实验室预约
export function addSchoolLab(data) {
  return request({
    url: "/schoolLabClassYear/add",
    method: "post",
    data,
  });
}
// 查询实验室使用状态
export function getTeacherLab(query) {
  return request({
    url: "/schoolTeacherLabApply/getTeacherLab",
    method: "get",
    params: query,
  });
}

// 获取班级
export function getTeacherClass(query) {
  return request({
    url: "/schoolTeacherLabApply/getTeacherClass",
    method: "get",
    params: query,
  });
}

// 教师申请实验室
export function schoolTeacherapply(data) {
  return request({
    url: "/schoolTeacherLabApply/add",
    method: "post",
    data,
  });
}

// 教师申请实验室
export function getTeacherLabxq(id) {
  return request({
    url: "/schoolLabClassYear/" + id,
    method: "get",
  });
}
